Bug 538483 - Please add Maven depmap fragments
Please add Maven depmap fragments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jakarta-commons-pool (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 12:10 EST by Mary Ellen Foster
Modified: 2010-01-06 19:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3-13.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 19:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-18 12:10:54 EST
Description of problem:
Please add Maven depmap fragments to the spec file as specified here:
    https://fedoraproject.org/wiki/Packaging/Java#maven
This makes it possible for other packages that use Maven to build against the jakarta-commons-pool library.

The appropriate call to %add_to_maven_depmap is probably:
    %add_to_maven_depmap commons-pool commons-pool %{version} JPP commons-pool


Version-Release number of selected component (if applicable):
jakarta-commons-pool-1.3-12.5.fc12.x86_64
Comment 1 Mary Ellen Foster 2009-12-03 06:03:09 EST
I'd like to add the necessary Maven metadata myself, using provenpackager access. If you don't want me to do this, please let me know before Saturday 5 December.
Comment 2 Fedora Update System 2009-12-11 12:00:49 EST
jakarta-commons-pool-1.3-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jakarta-commons-pool-1.3-13.fc12
Comment 3 Fedora Update System 2009-12-11 12:02:49 EST
jakarta-commons-pool-1.3-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jakarta-commons-pool-1.3-13.fc11
Comment 4 Fedora Update System 2009-12-15 20:19:54 EST
jakarta-commons-pool-1.3-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-pool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13229
Comment 5 Fedora Update System 2009-12-15 20:22:33 EST
jakarta-commons-pool-1.3-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-pool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13249
Comment 6 Fedora Update System 2010-01-06 19:55:16 EST
jakarta-commons-pool-1.3-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-01-06 19:58:03 EST
jakarta-commons-pool-1.3-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.